aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--HDF5.sh13
-rw-r--r--configuration.ccl2
2 files changed, 14 insertions, 1 deletions
diff --git a/HDF5.sh b/HDF5.sh
index b37171c..721cadf 100644
--- a/HDF5.sh
+++ b/HDF5.sh
@@ -11,6 +11,19 @@ set -e # Abort on errors
################################################################################
+# Check for old mechanism
+################################################################################
+
+if [ -n "${HDF5}" ]; then
+ echo 'BEGIN ERROR'
+ echo "Setting the option \"HDF5\" is incompatible with the HDF5 thorn. Please remove the option HDF5 = ${HDF5}."
+ echo 'END ERROR'
+ exit 1
+fi
+
+
+
+################################################################################
# Search
################################################################################
diff --git a/configuration.ccl b/configuration.ccl
index 6a960d4..9c1eb0e 100644
--- a/configuration.ccl
+++ b/configuration.ccl
@@ -4,7 +4,7 @@ PROVIDES HDF5
{
SCRIPT HDF5.sh
LANG bash
- OPTIONS HDF5_DIR ZLIB_DIR LIBSZ_DIR LIBZ_DIR
+ OPTIONS HDF5 HDF5_DIR ZLIB_DIR LIBSZ_DIR LIBZ_DIR
}
REQUIRES HDF5